package 
{
	import com.adobe.portfolio.cards.BasicCard;
	
	import flash.events.MouseEvent;
	
	import mx.controls.Image;
	
	public class ImageCard extends BasicCard
	{
		private var _image:Image;
		[SkinPart(required="true")]
		public function get image():Image
		{
			return _image;
		}
		public function set image(value:Image):void
		{
			_image = value;
		}
		
		override public function ImageCard()
		{
			super();
			doubleClickEnabled = true;
		}
		
		override protected function partAdded(partName:String, instance:Object):void
		{
			super.partAdded(partName, instance);
			if (partName == "image") {
				image.addEventListener(MouseEvent.DOUBLE_CLICK, onImageDoubleClick, false, 0, true); 
			}
		}
		
		override protected function partRemoved(partName:String, instance:Object):void
		{
			super.partRemoved(partName, instance);
			if (partName == "image") {
				image.removeEventListener(MouseEvent.DOUBLE_CLICK, onImageDoubleClick, false); 
			}
		}
		
		protected function onImageDoubleClick(event:MouseEvent):void
		{
			handlePreview();
		}
	}
}