package com.adobe.portfolio.components
{
	import mx.controls.DateField;
	import mx.controls.MXFTETextInput;
	import mx.core.ClassFactory;
	import mx.core.UIFTETextField;
	
	/**
	 *  Standard mx controls do not work well with the portfolio framework because of extensions related to fonts.
	 *  This subclass of DateField overcomes that limitation.
	 * 
  	 *  @langversion 3.0
	 *  @playerversion Flash 10.1
	 *  @playerversion AIR 2.0
	 *  @productversion Portfolio 10.0
	 */
	public class NavDateField extends DateField
	{
		/**
		 *  Constructor.
		 * 
		 *  @langversion 3.0
		 *  @playerversion Flash 10.1
		 *  @playerversion AIR 2.0
		 *  @productversion Portfolio 10.0
		 */
		public function NavDateField()
		{
			super();
			setStyle("textFieldClass", mx.core.UIFTETextField);
			setStyle("textInputClass", mx.controls.MXFTETextInput);
			dropdownFactory = new ClassFactory(NavDateChooser);
		}
	}
}