package com.adobe.portfolio.components
{
	import flash.events.Event;
	import flash.events.IEventDispatcher;
	import flash.events.MouseEvent;
	
	import spark.components.RichEditableText;
	
	public class NavRichEditableText extends RichEditableText
	{
		public function NavRichEditableText()
		{
			super();
		}
		
		override public function dispatchEvent(event:Event):Boolean
		{
			// Dispatch mouseWheel events to the parent if not editing.  This prevents any Scroller
			// that surrounds a NavRichEditableText from calling preventDefault() on the mouseWheel event
			if (event.type == MouseEvent.MOUSE_WHEEL && selectionActivePosition == -1) {
				var parent:IEventDispatcher = this.parent as IEventDispatcher;
				if (parent) {
					return parent.dispatchEvent(event);
				}
			}
			
			return super.dispatchEvent(event);
		}
	}
}