/*************************************************************************
*
* ADOBE SYSTEMS INCORPORATED
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  Adobe permits you to use, modify, and distribute this 
* file in accordance with the terms of the Adobe license agreement 
* accompanying it.  If you have received this file from a source 
* other than Adobe, then your use, modification, or distribution 
* of it requires the prior written permission of Adobe.
**************************************************************************/

package com.adobe.portfolio.components.supportClasses
{
	/**
	 * A subclass of <code>FieldTextArea</code> that specialized for single-line fields.
	 * 
	 * @see FieldTextArea
	 */
	public class FieldTextInput extends FieldTextArea
	{
		/**
		 * Default constructor
		 */
		public function FieldTextInput()
		{
			super();
			multiline = false;
		}
	}
}
