/*************************************************************************
*
* ADOBE SYSTEMS INCORPORATED
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  Adobe permits you to use, modify, and distribute this 
* file in accordance with the terms of the Adobe license agreement 
* accompanying it.  If you have received this file from a source 
* other than Adobe, then your use, modification, or distribution 
* of it requires the prior written permission of Adobe.
**************************************************************************/

package com.adobe.portfolio.skins
{
	import flash.filters.DropShadowFilter;
	
	import mx.core.UIFTETextField;
	
	public class NavToolTipText extends UIFTETextField
	{
		
		private var textShadow:DropShadowFilter;
		
		public function NavToolTipText()
		{
			super();
			
			textShadow = new DropShadowFilter(1, 90, 0xFFFFFF, 1, 2, 2, 1);
			
			init();
		}
		
		private function init():void
		{
			this.filters = [textShadow];
		}
	}
}