/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
* 
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
* ___________________
* 
*   DRAFT: subject to change pending API review and approval 
* ___________________
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and may be covered by U.S. and Foreign Patents,
* patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

package com.adobe.portfolio.launching;

//import org.eclipse.core.resources.IProject;

import com.adobe.flexide.launching.FlexLaunchDelegate;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.ILaunchConfiguration;

public class NavLaunchDelegate extends FlexLaunchDelegate {
// extends LaunchConfigurationDelegate{

	public static final String ATTR_LAUNCH_ENABLED = "com.adobe.portfolio.launching.ATTR_LAUNCH_ENABLED";  //$NON-NLS-1$
	public static final String ATTR_USE_ADL = "com.adobe.portfolio.launching.ATTR_USE_ADL";  //$NON-NLS-1$
	public static final String ATTR_HOST_APP = "com.adobe.portfolio.launching.ATTR_HOST_APP";  //$NON-NLS-1$
	public static final String ATTR_CMDLINE_ARG = "com.adobe.portfolio.launching.ATTR_CMDLINE_ARG";  //$NON-NLS-1$
	
	public static ILaunch sLastLaunch = null;

	public void launch(ILaunchConfiguration configuration, String mode,
			ILaunch launch, IProgressMonitor monitor) throws CoreException {
		
		// let FlexLaunchDelegate handle everything
		
		sLastLaunch = launch; // NavLaunchDelegate.sLastLaunch
		
		super.launch(configuration, mode, launch, monitor);
		
		// NavLaunchHook.launch() will get called
	}

}
